Improve documentation for OptionParser
09/09/2012 04:23 AM - eike.rb (Eike Dierks)

Status: Closed

Priority: Normal

Assignee: zzak (zzak _)

Target version: 2.0.0

ruby -v: ruby 1.9.3p194 (2012-04-20 revision Backport:
35410) [x86_64-darwin10]

Description
The documentation for OptionParser should be improved.

The current examples and and documentation do not yet describe
how to access non option args

| suggest to change the simple example in the doc as follows:
opts.banner = "Usage: example.rb [options] file ..."
p "files:" + ARGV

It should be stated explicitely in the description,
that parse! modifies the ARGV and removes all parseable args.

At least that is how | believe that the OptionParser.parse! works?
not yet tried it myself

Associated revisions

Revision 78c56ae5840c4d41a6d6c7a38c023982c2ab3637 - 12/22/2012 04:36 PM - zzak (zzak _)

e lib/optparse.rb: Documentation for OptionParser to remove 'shadowed
outer local variable' from example and make obvious ARGV with
non-option arguments.

Patch by Marcus Stollsteimer [ruby-core:47460] [Bug #6997]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38561 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 78c56ae5 - 12/22/2012 04:36 PM - zzak (zzak _)

e lib/optparse.rb: Documentation for OptionParser to remove 'shadowed
outer local variable' from example and make obvious ARGV with
non-option arguments.

Patch by Marcus Stollsteimer [ruby-core:47460] [Bug #6997]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38561 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/11/2012 05:02 AM - eike.rb (Eike Dierks)

Ok, | was a bit blind on that,
| think that | now do understand how it works.

But anyway, the documentation should be improved.
I'd suggest to improve the examples to make it more clear upfront.

#2 - 09/11/2012 05:53 AM - zzak (zzak _)

Better and more examples are always welcome, if you have any ideas
please feel free to submit a patch.

Otherwise, I'll try to put something together for this and #6996
sometime this week.

#3 - 09/15/2012 04:02 AM - zzak (zzak _)
- Category set to doc
- Assignee set to zzak (zzak _)

- Target version set to 2.0.0

#4 - 12/21/2012 10:27 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

#5 - 12/22/2012 07:51 PM - stomar (Marcus Stollsteimer)
- File rdoc_lib_optparse.patch added

| tried to make this clearer, see patch.
| also changed the example to avoid a warning for "shadowed outer local variable".

@zzak (zzak _): Do you think that the "Further documentation" section is of any use in the current form (since changeset r36960)? | would suggest to
remove it completely, since filing a ticket for usage questions seems not the right thing to do.

#6 - 12/23/2012 01:36 AM - zzak (zzak _)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r38561.
Eike, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e |ib/optparse.rb: Documentation for OptionParser to remove 'shadowed
outer local variable' from example and make obvious ARGV with
non-option arguments.

Patch by Marcus Stollsteimer [ruby-core:47460] [Bug #6997]

#7 - 12/23/2012 01:38 AM - zzak (zzak _)

Thanks Marcus, | was holding off on this until | got around to some other patches | have in mind for OptionParser, but you beat me to it :)

Re: remove further documentation: | think we should keep it, it doesn't hurt to mention the tracker if anyone comes across any bugs it will probably be
documentation related when reading the optparse docs.

Files

rdoc_lib_optparse.patch 1.29 KB 12/22/2012 stomar (Marcus Stollsteimer)
